Skip to main content
Back to API List Retrieves the KG extractions history as a list.
MethodGET
Endpointhttps://{{host}}/api/public/stream/{{streamId}}/qna/history?language=en
Content Typeapplication/json
Authorizationauth: {{YOUR_JWT_ACCESS_TOKEN}} See How to generate the JWT Token.
API ScopeApp Builder: Manage Knowledge Graph; Admin Console: Manage Knowledge Graph

Path Parameters

ParameterDescriptionRequired
hostThe environment URL. For example, https://platform.kore.aiRequired
streamIdThe Stream ID found under General Settings on the App Builder.Required

Query Parameters

ParameterDescriptionRequired
languageBot language code (for example, en for English, de for German).Required

Sample Request

curl -X GET \
  https://{{host}}/api/public/stream/{{streamId}}/qna/history?language=en \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H 'content-type: application/json'

Body Parameters

No body parameters are passed.

Sample Response

{
    "metaqnas": [
        {
            "_id": "ke-bxxxxxxb-bxx2-5xx8-bxx8-14xxxxxxxxxx",
            "editable": false,
            "status": "success",
            "isVisited": false,
            "fileId": "5e0xxxxxx8b",
            "name": "KG_QuestionExtraction",
            "extractionType": "faq",
            "streamId": "st-xxxxx-xxx-xxx-xxx-xxxxx",
            "createdBy": "u-xxxxx-xxx-xxx-xxx-xxxxx",
            "language": "en",
            "fileName": "KGCSVBotQuestionExtraction.csv",
            "createdOn": "2020-01-03T06:17:50.416Z",
            "modifiedOn": "2020-01-03T06:17:56.932Z",
            "__v": 0,
            "qnaAddedCount": 0,
            "qnaExtractedCount": 113,
            "qnaCount": 113
        }
    ]
}